Subject: Re: bug#22472: 25.0.50; org-mode: latex fragments can't be un-rendered after a revert
From: Dima Kogan <[email-masked]>
To: Nicolas Goaziou <[email-masked]>
Cc: Bastien Guerry <[email-masked]>, [email-masked]
Date: Sat, 06 Feb 2016 00:54:24 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Nicolas Goaziou <[email-masked]> writes:

> Dima Kogan <[email-masked]> writes:
>
>> Ah. Thanks for explaining. The patch helps somewhat, but one can still
>> get into an inconsistent state:
>>
>>   1. Write \(1 + 2\)
>>   2. Toggle overlay with C-c C-x C-l
>>   3. M-x revert-buffer
>>
>> After the revert, the overlay remains, which is arguably OK, since the
>> text has not changed. However after the revert org doesn't realize that
>> the overlay is still up: org-latex-fragment-image-overlays is nil.
>
> Indeed. 
>
> `org-latex-fragment-image-overlays' is a local variable and
> `revert-buffer' calls `normal-mode', which, in turn, calls
> `fundamental-mode'. The latter calls `kill-all-local-variables'.
> Information is lost.
>
> I don't think that `org-latex-fragment-image-overlays' is useful,
> anyway. So I removed it, along with that bug, hopefully.

Yes, things look consistent after your patch.

>> I think the overlays should all disappear on a revert.
>
> I'm not convinced that an unmodified overlay should disappear.

Sure. If we can keep everything consistent, then keeping the overlays is
probably better.

Thank you very much! I'm closing this bug.